Discover agent identity and granted or requestable integration APIs
curl --request GET \
--url https://app.factorize.sh/api/v1/agent/reflection \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.factorize.sh/api/v1/agent/reflection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.factorize.sh/api/v1/agent/reflection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/agent/reflection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/agent/reflection"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.factorize.sh/api/v1/agent/reflection")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/agent/reflection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agentHost": "factorize",
"current_vm": {
"provider": "exe.dev",
"id": "<string>",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ready",
"cwd": "<string>",
"verifiedAt": "<string>",
"tool": "vm_exec"
},
"identity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "oauth"
},
"scopes": [
"<string>"
],
"proxy": {
"requestUrl": "<string>",
"readResponseUrl": "<string>",
"requestTool": "request_api",
"readResponseTool": "read_api_response",
"authentication": "<string>"
},
"integrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentialId": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "bearer",
"policy": "baseline",
"available": true,
"revision": 0,
"requiredScope": "<string>",
"access": "granted",
"instructions": "<string>",
"requestExample": {
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": "GET",
"path": "<string>",
"headers": {},
"body": "<string>"
},
"vmGrantProvider": "exe.dev"
}
],
"media": {
"frameworkVersion": "1.5.2",
"contentTypes": [
"text"
],
"maxUploadBytes": 0,
"maxTurnMediaBytes": 0,
"uploadUrl": "<string>",
"fetchTool": "fetch_media",
"readTool": "read_media"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}agent
Discover agent identity and granted or requestable integration APIs
OAuth authorization or verified active run required. Availability reports connection state, without probing credential health. OAuth integration scopes are integration:{stable UUID}:{revocation epoch}; initial login need not request any integration scopes.
Accepts a scoped bearer token, vendor-verified run identity, or interactive owner session.
GET
/
api
/
v1
/
agent
/
reflection
Discover agent identity and granted or requestable integration APIs
curl --request GET \
--url https://app.factorize.sh/api/v1/agent/reflection \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.factorize.sh/api/v1/agent/reflection"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.factorize.sh/api/v1/agent/reflection', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://app.factorize.sh/api/v1/agent/reflection",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://app.factorize.sh/api/v1/agent/reflection"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://app.factorize.sh/api/v1/agent/reflection")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://app.factorize.sh/api/v1/agent/reflection")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"agentHost": "factorize",
"current_vm": {
"provider": "exe.dev",
"id": "<string>",
"runId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "ready",
"cwd": "<string>",
"verifiedAt": "<string>",
"tool": "vm_exec"
},
"identity": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"kind": "oauth"
},
"scopes": [
"<string>"
],
"proxy": {
"requestUrl": "<string>",
"readResponseUrl": "<string>",
"requestTool": "request_api",
"readResponseTool": "read_api_response",
"authentication": "<string>"
},
"integrations": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"credentialId": "<string>",
"name": "<string>",
"description": "<string>",
"kind": "bearer",
"policy": "baseline",
"available": true,
"revision": 0,
"requiredScope": "<string>",
"access": "granted",
"instructions": "<string>",
"requestExample": {
"integration": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"method": "GET",
"path": "<string>",
"headers": {},
"body": "<string>"
},
"vmGrantProvider": "exe.dev"
}
],
"media": {
"frameworkVersion": "1.5.2",
"contentTypes": [
"text"
],
"maxUploadBytes": 0,
"maxTurnMediaBytes": 0,
"uploadUrl": "<string>",
"fetchTool": "fetch_media",
"readTool": "read_media"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>"
}
}Authorizations
bearerAuthvendorRunIdentity & runIdentityHeadercookieAuth
Response
Agent reflection